Printable version

Drivers & software

Online ROM Flash for Linux - Power Management Controller (ML/DL G6 Servers)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Firmware
Version: 2.9(D)(24 Jul 2009)
Operating System(s):
Oracle Linux 5 (AMD64/EM64T) | View all
File name: CP011308.scexe (306 KB)
This component updates the Power Management Controller firmware on the ProLiant ML/DL G6 servers.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.

Prerequisites:
You must have iLO 2 version 1.78 (or later) in order to flash the Power Management Controller.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

e85dee2cc9aebfcd8c223d32c6475f4639ca175c1e2518fbfd394b5ed24585ca CP011308.scexe

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The SCEXE components are self-extracting executable files. The SCEXE file unpacks itself, flashes the ROM, and cleans up.

To flash a ROM:

  • Download the file to the target server.
  • Execute sh CPxxxxxx.scexe where CPxxxxxx.scexe represents the filename of the component.

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

This component requires iLO 2 version 1.78 or later.  Do not flash the iLO 2 Firmware and Power Management Controller Firmware simultaneously.

If the iLO 2 FW is not at version 1.78 or later before upgrading the Power Controller Firmware with this component the following message will be displayed:

"The software is not supported for installation on this system.
You must upgrade the iLO2 firmware to version 1.78 (or later) before flashing the Power Management Controller."

ML330 G6 models with Power Supply FIO kit 500447-B21 and DL320 G6 models with Power Supply FIO kit 515739-B21/537150-B21 do not support the Power Management Controller feature. Attempting to execute this component on these models will result in the following error message

"The software is not supported for installation on this system.

Unable to communicate with the Power Management Controller. You may be able to correct this problem by cycling power. You must physically disconnect all power, not just press the power button. If this is a blade server, you must remove and reinsert the blade.

Press 'Close' to exit Setup."

 


Supported Devices and Features:

This component can be used on ProLiant 300 Series ML/DL G6 servers with Advanced Power Capping support.


CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

This component requires iLO 2 version 1.78 or later.  Do not flash the iLO 2 Firmware and Power Management Controller Firmware simultaneously.

If the iLO 2 FW is not at version 1.78 or later before upgrading the Power Controller Firmware with this component the following message will be displayed:

"The software is not supported for installation on this system.
You must upgrade the iLO2 firmware to version 1.78 (or later) before flashing the Power Management Controller."

ML330 G6 models with Power Supply FIO kit 500447-B21 and DL320 G6 models with Power Supply FIO kit 515739-B21/537150-B21 do not support the Power Management Controller feature. Attempting to execute this component on these models will result in the following error message

"The software is not supported for installation on this system.

Unable to communicate with the Power Management Controller. You may be able to correct this problem by cycling power. You must physically disconnect all power, not just press the power button. If this is a blade server, you must remove and reinsert the blade.

Press 'Close' to exit Setup."

 

Version:2.9(D) (24 Jul 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.


Version:2.9(C) (18 Jun 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


For ML/DL G6 servers

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.


Type: Firmware
Version: 2.9(D)(24 Jul 2009)
Operating System(s):
Oracle Linux 5 (AMD64/EM64T)
Oracle Linux 5 (x86)
Red Hat Enterprise Linux 4 (AMD64/EM64T)
Red Hat Enterprise Linux 4 (x86)
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 10 (x86)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)

Description

This component updates the Power Management Controller firmware on the ProLiant ML/DL G6 servers.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.

Installation Instructions

Prerequisites:
You must have iLO 2 version 1.78 (or later) in order to flash the Power Management Controller.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

e85dee2cc9aebfcd8c223d32c6475f4639ca175c1e2518fbfd394b5ed24585ca CP011308.scexe

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The SCEXE components are self-extracting executable files. The SCEXE file unpacks itself, flashes the ROM, and cleans up.

To flash a ROM:

  • Download the file to the target server.
  • Execute sh CPxxxxxx.scexe where CPxxxxxx.scexe represents the filename of the component.

Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

This component requires iLO 2 version 1.78 or later.  Do not flash the iLO 2 Firmware and Power Management Controller Firmware simultaneously.

If the iLO 2 FW is not at version 1.78 or later before upgrading the Power Controller Firmware with this component the following message will be displayed:

"The software is not supported for installation on this system.
You must upgrade the iLO2 firmware to version 1.78 (or later) before flashing the Power Management Controller."

ML330 G6 models with Power Supply FIO kit 500447-B21 and DL320 G6 models with Power Supply FIO kit 515739-B21/537150-B21 do not support the Power Management Controller feature. Attempting to execute this component on these models will result in the following error message

"The software is not supported for installation on this system.

Unable to communicate with the Power Management Controller. You may be able to correct this problem by cycling power. You must physically disconnect all power, not just press the power button. If this is a blade server, you must remove and reinsert the blade.

Press 'Close' to exit Setup."

 


Supported Devices and Features:

This component can be used on ProLiant 300 Series ML/DL G6 servers with Advanced Power Capping support.


Important

CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

This component requires iLO 2 version 1.78 or later.  Do not flash the iLO 2 Firmware and Power Management Controller Firmware simultaneously.

If the iLO 2 FW is not at version 1.78 or later before upgrading the Power Controller Firmware with this component the following message will be displayed:

"The software is not supported for installation on this system.
You must upgrade the iLO2 firmware to version 1.78 (or later) before flashing the Power Management Controller."

ML330 G6 models with Power Supply FIO kit 500447-B21 and DL320 G6 models with Power Supply FIO kit 515739-B21/537150-B21 do not support the Power Management Controller feature. Attempting to execute this component on these models will result in the following error message

"The software is not supported for installation on this system.

Unable to communicate with the Power Management Controller. You may be able to correct this problem by cycling power. You must physically disconnect all power, not just press the power button. If this is a blade server, you must remove and reinsert the blade.

Press 'Close' to exit Setup."

 

Revision History

Version:2.9(D) (24 Jul 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


CP011308.scexe ver. 2.9(D) is a replacement for the previous CP011008.scexe ver. 2.9(C).  Ver. 2.9(D) contains a minor update to provide support with HPSUM.  The Power Management Controller Firmware contained within ver. 2.9(D) is the same as the Firmware contained within ver. 2.9(C). Therefore, it is not necessary to upgrade with ver. 2.9(D), if ver. 2.9(C) was previously used to successfully upgrade the Power Management Controller firmware to ver. 2.9.

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.


Version:2.9(C) (18 Jun 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


For ML/DL G6 servers

Add support for Dynamic Power Capping. Dynamic Power Capping allows reclaiming power and cooling capacity by safely limiting server power consumption using a fast-acting, hardware-based capping algorithm. Dynamic Power Capping requires updating the System ROM and the iLO 2 Firmware in addition to the Power Management Controller Firmware. All required firmware must be updated to utilize Dynamic Power Capping.


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.